Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 592628 - Review Request: key-mon - Utility to show live keyboard and mouse status
Review Request: key-mon - Utility to show live keyboard and mouse status
Status: CLOSED DUPLICATE of bug 1039138
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 15:44 EDT by kushaldas@gmail.com
Modified: 2015-12-03 20:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 20:48:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed changes to initially provided SPEC file (2.32 KB, patch)
2010-06-28 16:37 EDT, Moritz Barsnick
no flags Details | Diff
proposed changes to initially provided SPEC file (2.18 KB, patch)
2010-06-28 16:40 EDT, Moritz Barsnick
no flags Details | Diff
latest version of proposed changes to initially provided SPEC file (2.53 KB, patch)
2010-06-29 10:12 EDT, Moritz Barsnick
no flags Details | Diff
updated spec (1.75 KB, text/x-rpm-spec)
2011-06-03 09:30 EDT, Marc-Andre Lureau
no flags Details

  None (edit)
Description kushaldas@gmail.com 2010-05-15 15:44:07 EDT
Spec URL: http://kushaldas.in/tmp/key-mon.spec
SRPM URL: http://kushaldas.in/tmp/key-mon-0.15-1.fc13.src.rpm
Description: Utility to show live keyboard and mouse status for teaching and screencasts.
Comment 1 kushaldas@gmail.com 2010-05-15 15:46:48 EDT
Forgot to add patch0 URL: http://kushaldas.in/tmp/su.patch

Koji scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=2190240
Comment 2 Rahul Sundaram 2010-05-29 04:51:39 EDT
You can drop the following:
- python macro definition on top
- Buildroot definition
- no need to clean the buildroot in install section
- clean section

The su patch requires a comment as per

http://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

You could run sed in a loop 

License status is unclear.  Source files don't have a proper license attribution and does not specify the version.  LGPL also requires that you include a copy of the license along with the source.  Please contact upstream and ask them to fix these issues.
Comment 3 Moritz Barsnick 2010-06-28 16:35:06 EDT
In the meantime, 1.2.2 has been released. It uses Xlib to track the keys (which actually pics up the correct ones when multiple displays are active, unlike the hardcoded device before), so more need for beesu. Some other Requires (pygtk2?) need to be added though.

The license seems to be ASL 2.0 now (COPYING is provided).
Comment 4 Moritz Barsnick 2010-06-28 16:37:10 EDT
Created attachment 427507 [details]
proposed changes to initially provided SPEC file

This patch shows most of the potential changes to accommodate for key-mon-1.2.2, and also puts the requested loop around sed.
Comment 5 Moritz Barsnick 2010-06-28 16:40:22 EDT
Created attachment 427508 [details]
proposed changes to initially provided SPEC file

Oops, previous patch was against wrong old SPEC. :) This one should be correct.
Comment 6 Moritz Barsnick 2010-06-29 10:12:28 EDT
Created attachment 427695 [details]
latest version of proposed changes to initially provided SPEC file

Some fixes to the previous SPEC update suggestions:
- fix the sed loop to use both variants of the shebang
- add Requires: python-xlib
- add some comments
Comment 7 Golo Fuchert 2010-10-22 18:58:18 EDT
I get the following from rpmlint on the rpm:

key-mon.noarch: E: explicit-lib-dependency python-xlib
key-mon.noarch: W: spelling-error %description -l en_US screencasts -> screen casts, screen-casts, screenplays
key-mon.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/keymon/config.py 0644L /usr/bin/env
key-mon.noarch: W: no-manual-page-for-binary key-mon
1 packages and 0 specfiles checked; 2 errors, 2 warnings.

Have you tried building the package without the "Requires: python-xlib"?
Concerning the non-executable-script error: I just took a quick look into the file and it looks like a module. Then the shebang should be unnecessary and should be removed. You made a comment on this in the SPEC file that it is skipped for some reasons, however, if I add it to the list in "for file in ..." it works fine here.
I think you should fix those or comment on them at least.
Comment 8 Marc-Andre Lureau 2011-06-03 09:30:58 EDT
Created attachment 502810 [details]
updated spec

$ rpmlint key-mon
key-mon.noarch: W: no-manual-page-for-binary key-mon
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint key-mon.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 9 barsnick 2014-02-24 09:45:01 EST
So, this ticket seems to have fallen asleep. ;-)

Superseded by #1039138. The (new) package has now appeared in F20 repos.
Comment 10 Upstream Release Monitoring 2015-09-24 11:05:07 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117
Comment 11 James Hogarth 2015-12-03 20:48:12 EST

*** This bug has been marked as a duplicate of bug 1039138 ***

Note You need to log in before you can comment on or make changes to this bug.